Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd.impl
Class TProcessEventsImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.apache.ode.bpel.dd.impl.TEnableEventListImpl
                  org.apache.ode.bpel.dd.impl.TProcessEventsImpl

All Implemented Interfaces:
  java.io.Serializable, TEnableEventList, TProcessEvents, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

    public class TProcessEventsImpl

extends TEnableEventListImpl
implements TProcessEvents

An XML tProcessEvents(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TProcessEventsImpl.GenerateImpl` An XML generate(@).

Nested classes/interfaces inherited from interface org.apache.ode.bpel.dd.TProcessEvents
`TProcessEvents.Factory, TProcessEvents.Generate`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.ode.bpel.dd.TProcessEvents
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`TProcessEventsImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`TScopeEvents` | `addNewScopeEvents()` Appends and returns a new empty value (as xml) as the last "scope-events" element
`TProcessEvents.Generate.Enum` | `getGenerate()` Gets the "generate" attribute
`TScopeEvents[]` | `getScopeEventsArray()` Gets array of all "scope-events" elements
`TScopeEvents` | `getScopeEventsArray(int i)` Gets ith "scope-events" element
`java.util.List<TScopeEvents>` | `getScopeEventsList()` Gets a List of "scope-events" elements
`TScopeEvents` | `insertNewScopeEvents(int i)` Inserts and returns a new empty value (as xml) as the ith "scope-events" element
`boolean` | `isSetGenerate()` True if has "generate" attribute
`void` | `removeScopeEvents(int i)` Removes the ith "scope-events" element
`void` | `setGenerate(TProcessEvents.Generate.Enum generate)` Sets the "generate" attribute
`void` | `setScopeEventsArray(int i, TScopeEvents scopeEvents)` Sets ith "scope-events" element
`void` | `setScopeEventsArray(TScopeEvents[] scopeEventsArray)` Sets array of all "scope-events" element
`int` | `sizeOfScopeEventsArray()` Returns number of "scope-events" element
`void` | `unsetGenerate()` Unsets the "generate" attribute
`TProcessEvents.Generate` | `xgetGenerate()` Gets (as xml) the "generate" attribute
`void` | `xsetGenerate(TProcessEvents.Generate generate)` Sets (as xml) the "generate" attribute

Methods inherited from class org.apache.ode.bpel.dd.impl.TEnableEventListImpl
`addEnableEvent, addNewEnableEvent, getEnableEventArray, getEnableEventArray, getEnableEventList, insertEnableEvent, insertNewEnableEvent, removeEnableEvent, setEnableEventArray, setEnableEventArray, sizeOfEnableEventArray, xgetEnableEventArray, xgetEnableEventArray, xgetEnableEventList, xsetEnableEventArray, xsetEnableEventArray`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.ode.bpel.dd.TEnableEventList
`addEnableEvent, addNewEnableEvent, getEnableEventArray, getEnableEventArray, getEnableEventList, insertEnableEvent, insertNewEnableEvent, removeEnableEvent, setEnableEventArray, setEnableEventArray, sizeOfEnableEventArray, xgetEnableEventArray, xgetEnableEventArray, xgetEnableEventList, xsetEnableEventArray, xsetEnableEventArray`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### TProcessEventsImpl

    public TProcessEventsImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getScopeEventsList

    public java.util.List<TScopeEvents> getScopeEventsList()

  Gets a List of "scope-events" elements

  Specified by:
    `getScopeEventsList` in interface `TProcessEvents`

### getScopeEventsArray

    public TScopeEvents[] getScopeEventsArray()

  Gets array of all "scope-events" elements

  Specified by:
    `getScopeEventsArray` in interface `TProcessEvents`

### getScopeEventsArray

    public TScopeEvents getScopeEventsArray(int i)

  Gets ith "scope-events" element

  Specified by:
    `getScopeEventsArray` in interface `TProcessEvents`

### sizeOfScopeEventsArray

    public int sizeOfScopeEventsArray()

  Returns number of "scope-events" element

  Specified by:
    `sizeOfScopeEventsArray` in interface `TProcessEvents`

### setScopeEventsArray

    public void setScopeEventsArray(TScopeEvents[] scopeEventsArray)

  Sets array of all "scope-events" element

  Specified by:
    `setScopeEventsArray` in interface `TProcessEvents`

### setScopeEventsArray

    public void setScopeEventsArray(int i,
                                    TScopeEvents scopeEvents)

  Sets ith "scope-events" element

  Specified by:
    `setScopeEventsArray` in interface `TProcessEvents`

### insertNewScopeEvents

    public TScopeEvents insertNewScopeEvents(int i)

  Inserts and returns a new empty value (as xml) as the ith "scope-events" element

  Specified by:
    `insertNewScopeEvents` in interface `TProcessEvents`

### addNewScopeEvents

    public TScopeEvents addNewScopeEvents()

  Appends and returns a new empty value (as xml) as the last "scope-events" element

  Specified by:
    `addNewScopeEvents` in interface `TProcessEvents`

### removeScopeEvents

    public void removeScopeEvents(int i)

  Removes the ith "scope-events" element

  Specified by:
    `removeScopeEvents` in interface `TProcessEvents`

### getGenerate

    public TProcessEvents.Generate.Enum getGenerate()

  Gets the "generate" attribute

  Specified by:
    `getGenerate` in interface `TProcessEvents`

### xgetGenerate

    public TProcessEvents.Generate xgetGenerate()

  Gets (as xml) the "generate" attribute

  Specified by:
    `xgetGenerate` in interface `TProcessEvents`

### isSetGenerate

    public boolean isSetGenerate()

  True if has "generate" attribute

  Specified by:
    `isSetGenerate` in interface `TProcessEvents`

### setGenerate

    public void setGenerate(TProcessEvents.Generate.Enum generate)

  Sets the "generate" attribute

  Specified by:
    `setGenerate` in interface `TProcessEvents`

### xsetGenerate

    public void xsetGenerate(TProcessEvents.Generate generate)

  Sets (as xml) the "generate" attribute

  Specified by:
    `xsetGenerate` in interface `TProcessEvents`

### unsetGenerate

    public void unsetGenerate()

  Unsets the "generate" attribute

  Specified by:
    `unsetGenerate` in interface `TProcessEvents`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD